LastConnections (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.gui.tasks
Class LastConnections

    java.lang.Object
      net.sf.jftp.gui.tasks.LastConnections

    public class LastConnections

extends java.lang.Object

Field Summary
`static java.lang.String` | `SENTINEL`

Constructor Summary
`LastConnections(JFtp jftp)`

Method Summary
`static int` | `findString(java.lang.String[] findVal, int capacity)`
`static java.lang.String[][]` | `moveToFront(int position, int capacity)`
`static java.lang.String[][]` | `prepend(java.lang.String[] newString, int capacity, boolean newConnection)`
`static java.lang.String[][]` | `readFromFile(int capacity)`
`static void` | `writeToFile(java.lang.String[][] a, int capacity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SENTINEL

    public static java.lang.String SENTINEL

Constructor Detail

### LastConnections

    public LastConnections(JFtp jftp)

Method Detail

### writeToFile

    public static void writeToFile(java.lang.String[][] a,
                                   int capacity)

### readFromFile

    public static java.lang.String[][] readFromFile(int capacity)

### prepend

    public static java.lang.String[][] prepend(java.lang.String[] newString,
                                               int capacity,
                                               boolean newConnection)

### moveToFront

    public static java.lang.String[][] moveToFront(int position,
                                                   int capacity)

### findString

    public static int findString(java.lang.String[] findVal,
                                 int capacity)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD